There's not enough information in your email to check whether it should be enabled on your system. How did you install SyncEvolution? Which version, from where?

I installed it from Ubuntu repo (Vivid), Syncevolution 1.5 (https://launchpad.net/ubuntu/+source/syncevolution/1.5-0ubuntu0).

Ubuntu, like debian, generates seperate binary package for syncevolution. On top of that they add 
"libaccounts-glib-dev (>= 1.8), libsignon-glib-dev (>= 1.7)" in debian/control gernerate binary package "syncevolution-provider-uoa" (http://bazaar.launchpad.net/~ken-vandine/ubuntu/vivid/syncevolution/1.5/view/head:/debian/control),

& explicitly uses "--enable-uoa" in debian/rules (http://bazaar.launchpad.net/~ken-vandine/ubuntu/vivid/syncevolution/1.5/view/head:/debian/rules). 

While it works fine with Ubuntu Online Acoounts, it doesn't really work in gnome-shell with goa. Does this somehow disable goa integration?